
Figure - Bug #112139
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】应用，“通知、存储与缓存、流量统计、默认打开、修改系统设置”点击以上选项
，四级目录下无内容
2022-09-26 14:48 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: Normal Due date: 2022-09-27

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置-应用

2、点击“通知、存储与缓存、流量统计、默认打开、修改系统设置”选项

【预期结果】

2、进入相应配置项，且保持双屏模式

【实际结果】

2、上述选项内部无内容

【复现率】

必现

History

#1 - 2022-09-26 16:20 - CD TEST-方永红

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019 to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

#2 - 2022-09-27 10:24 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#3 - 2022-09-27 14:28 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 20

#4 - 2022-09-27 14:30 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

■ Current conclusion

已经定位到问题

■ My analysis
由于更改为双屏显示时，传递数据与原生相比有丢失，导致无法显示四级页面内容

■ Next action / 

本地修改验证

#5 - 2022-09-27 14:54 - CD AF-陈羽杰

- Status changed from RESOLVED to ASSIGNED

#6 - 2022-09-27 17:21 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 20 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

问题已经通过代码修复

■ My analysis

由于更改为双屏显示时，传递数据与原生相比有丢失，导致无法显示四级页面内容

■ submit url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152018

#7 - 2022-09-27 17:21 - CD AF-陈羽杰

- Due date changed from 2022-09-29 to 2022-09-27

#8 - 2022-09-28 11:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

#9 - 2022-09-28 11:30 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152018 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix AppInfo no content bug1.Fix Settings AppInfo No content under the fourth level directoryTC-RID: 1201-0201802IssueID:

TS-R-BUG-112139Change-Id: Iba0dce9b728e0356e957a3695c8e5fa7750e8445

Files

setting tree.jpg 132 KB 2022-09-26 CD TEST-方永红

四级目录无内容.log 8.22 KB 2022-09-26 CD TEST-方永红
